Skip to main content
PUT
/
api
/
v2
/
network
/
offers
/
{offer_id}
/
urls
/
{url_id}
Update landing page
curl --request PUT \
  --url 'https://{domain}/api/v2/network/offers/{offer_id}/urls/{url_id}?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "string",
  "url": "https://example.com",
  "status": 1,
  "type": 1,
  "preview": "string"
}
'
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "url": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Path Parameters

offer_id
integer
required

Offer ID.

url_id
integer
required

Landing page ID.

Body

application/json
title
string
Maximum string length: 128
url
string
status
integer
type
integer
preview
string
visible_to_all_affiliates
enum<integer>
Available options:
0,
1
visible_to_specific_affiliates_only
string
geo_allowed
string
geo_denied
string
rules
string
percent
integer
language
string
image_data
string
image_data_delete
boolean

Response

Landing page updated.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object